---
wsId: CoinCollect
title: 'CoinCollect wallet: We Make Crypto Easy'
altTitle: 
authors:
- danny
users: 1000
appId: com.coincollect.app
appCountry: us
released: 2019-09-08
updated: 2021-04-21
version: 1.11.0
stars: 
ratings: 
reviews: 
size: 57M
website: https://coincollect.cc/
repository: 
issue: 
icon: com.coincollect.app.png
bugbounty: 
meta: stale
verdict: nosource
date: 2022-04-17
signer: 
reviewArchive: 
twitter: coincollectHQ
social: 
redirect_from: 

---

## App Description

Users can use Euro to buy various cryptocurrencies including Bitcoin. The multi-currency wallet provides the seed to unlock the private keys which are stored only on the device.

## The App

You can recover an existing wallet via the 24-word mnemonic or create a new one. You are asked to set a PIN and there is no need to register. 

## Verdict

It would seem that non-custodial CoinCollect was formerly open source. They then changed their minds. They mentioned this in a [Medium](https://medium.com/coincollect/coincollect-open-source-policy-466841ed324e) post. We noted this and posted a [screenshot on twitter](https://twitter.com/BitcoinWalletz/status/1460927002303553537). As far as we can tell, the source is currently not publicly available.

